import axios, { AxiosPromise, AxiosRequestConfig } from "axios";
import {BASE_URL} from '../constants/api'

export const client = (props: AxiosRequestConfig): AxiosPromise => axios({
  method: props.method,
  baseURL: `${BASE_URL}`,
  url: props.url,
  headers: props.headers,
  data: props.data
})

// export const authClient = (props: AxiosRequestConfig) => axios({
//   method: props.method,
//   baseURL: `${BASE_URL}`,
//   url: props.url,
//   headers: {
//     'Authorization': 
//   }
// })